HuntAPI

Jobs

GET
/v1/jobs/{id}

Poll status, progress (0–100), and result of an async HuntAPI job.

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Path Parameters

id*string

Job UUID returned as job_id by async endpoints such as /v1/video/download and /v1/audio/download.

Poll this endpoint until status is terminal (CompletedJob, Error, NotFound, or BadRequest). While the job runs, use progress (0–100) to show a progress bar.

Response Body

Successful response

application/json
  1. response
id?string
args?
result?unknown
status?string
success?unknown
endpoint?string
progress?integer
created_at?string
started_at?string
duration_ms?unknown
completed_at?unknown
Example Request
curl -X GET 'https://api.huntapi.com/v1/jobs/string'
Example Response
{  "id": "019ff14c-49fe-09b5-0cd5-e6c575481a6b",  "args": {    "query": "https://www.youtube.com/watch?v=Z5YP8kznWZs",    "video_format": "mp4",    "download_type": "audio_video",    "video_quality": "720p"  },  "result": null,  "status": "Running",  "success": null,  "endpoint": "/api/video/download",  "progress": 63,  "created_at": "2026-08-11T14:48:56.574227Z",  "started_at": "2026-08-11T14:48:56.577590Z",  "duration_ms": null,  "completed_at": null}